
Redmine - Feature #7652

Ability to add watchers to Wiki pages

2011-02-18 14:50 - Fernando Hartmann

Status: Closed Start date: 2011-02-18

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution: Fixed   

Description

Today I can only set myself as a watcher of a page.

Would be very useful to if I can add/remove another users as a watcher, like we can do in Issues today.

Related issues:

Related to Redmine - Feature #7697: Extend watchers functionality of wiki and... Closed 2011-02-23

Associated revisions

Revision 21015 - 2021-05-29 09:01 - Go MAEDA

Remove trailing whitespaces in test/fixtures/watchers.yml (#7652).

Revision 21016 - 2021-05-29 09:30 - Go MAEDA

Ability to add watchers to Wiki pages (#7652).

Patch by Yuichi HARADA.

Revision 21017 - 2021-05-29 09:32 - Go MAEDA

Update locales (#7652).

History

#1 - 2011-02-18 15:02 - Etienne Massip

- Category set to Wiki

#2 - 2011-09-10 01:33 - Zee Prime

Here's how to do it for wiki pages -- I haven't had the need to do it for forums...

Index: app/views/wiki/show.rhtml

===================================================================

--- app/views/wiki/show.rhtml

+++ app/views/wiki/show.rhtml

@@ -56,6 +56,10 @@

 <% content_for :sidebar do %>

   <%= render :partial => 'sidebar' %>

+

+  <div id="watchers">

+    <%= render :partial => 'watchers/watchers', :locals => {:watched => @page} %>

+  </div>

 <% end %>

 <% html_title @page.pretty_title %>

Index: lib/redmine.rb

===================================================================

--- lib/redmine.rb

+++ lib/redmine.rb

@@ -117,6 +117,7 @@

     map.permission :edit_wiki_pages, :wiki => [:edit, :update, :preview, :add_attachment]

     map.permission :delete_wiki_pages_attachments, {}

     map.permission :protect_wiki_pages, {:wiki => :protect}, :require => :member

+    map.permission :add_issue_watchers, {:watchers => :new}

   end
   map.project_module :repository do |map|

 It uses the existing :add_issue_watchers permission (that's hardcoded elsewhere in the code).

-Z

#3 - 2013-03-13 01:36 - Jun NAITOH

+1

#4 - 2013-06-14 07:10 - kangbo kimk

To Zee Prime,

Thanks for your modified code.

But it only applied to current wiki page.

Can you add option check box such as "ㅁ Apply to all sub wiki pages?"

#5 - 2021-04-06 02:49 - Yuichi HARADA

- File add-and-remove-watchers.png added

- File roles-and-permissions.png added

- File 7652.patch added

You could add and remove watchers with wiki pages (could be done on the sidebar like issues).

I have attached a patch.

 add-and-remove-watchers.png 

Roles > Permissions report

 roles-and-permissions.png 

#6 - 2021-04-23 12:06 - Go MAEDA

- Target version set to Candidate for next major release

#7 - 2021-05-25 09:04 - Go MAEDA

- Target version changed from Candidate for next major release to 5.0.0

Setting the target version to 5.0.0.

#8 - 2021-05-27 09:57 - Go MAEDA

- File 0001-Remove-trailing-whitespaces-in-test-fixtures-watcher.patch added

- File 0002-Ability-of-assign-watchers-to-Wiki-pages.patch added

Split the patch into two parts.

#9 - 2021-05-29 09:32 - Go MAEDA

- Subject changed from Ability of assign watchers to Wiki pages  to Ability to add watchers to Wiki pages

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for improving Redmine.

Files

add-and-remove-watchers.png 117 KB 2021-04-06 Yuichi HARADA

roles-and-permissions.png 124 KB 2021-04-06 Yuichi HARADA

7652.patch 9.01 KB 2021-04-06 Yuichi HARADA

0001-Remove-trailing-whitespaces-in-test-fixtures-watcher.patch 796 Bytes 2021-05-27 Go MAEDA

0002-Ability-of-assign-watchers-to-Wiki-pages.patch 9.46 KB 2021-05-27 Go MAEDA
